%{
#include "rcfile.tab.h"
%}
%option noyywrap
%%
-?[0-9]+	{ rcfilelval.num = atoi(rcfiletext); return INTEGER; }
ServoModuleFilePath	{ strcpy(rcfilelval.token_string, rcfiletext); return ServoModuleFilePath; }
LoadServoModule	{ strcpy(rcfilelval.token_string, rcfiletext); return LoadServoModule; }
ServoPosition	{ strcpy(rcfilelval.token_string, rcfiletext); return ServoPosition; }
ServoOffset	{ strcpy(rcfilelval.token_string, rcfiletext); return ServoOffset; }
ServoMin	{ strcpy(rcfilelval.token_string, rcfiletext); return ServoMin; }
ServoMax	{ strcpy(rcfilelval.token_string, rcfiletext); return ServoMax; }
ServoEnable	{ strcpy(rcfilelval.token_string, rcfiletext); return ServoEnable; }
Default	{ strcpy(rcfilelval.token_string, rcfiletext); return Default; }
Module	{ strcpy(rcfilelval.token_string, rcfiletext); return Module; }
ModuleFilePath	{ strcpy(rcfilelval.token_string, rcfiletext); return ModuleFilePath; }
ModuleLoad	{ strcpy(rcfilelval.token_string, rcfiletext); return ModuleLoad; }
[0-9A-Za-z/\.\-_]+ { strcpy(rcfilelval.token_string, rcfiletext); return FILE_PATH; }
","	{ return COMMA; }
"("		{ return LPAR; }
")"		{ return RPAR; }
"["		{ return LBR; }
"]"		{ return RBR; }
"="		{ return EQ; }
[ \t]	/* Ignore Space */
\n		{ return EOL; }	/* logical EOL */
\r\n	{ return EOL; }	/* logical EOL */
^#.*	/*Ignore lines beginning with # */
.	return rcfiletext[0];
%%
