%{
#include "command.tab.h"
%}
%option noyywrap
%%
-?[0-9]+	{ commandlval.num = atoi(commandtext); return NUMBER; }
SET_POSITION	{ return SET_POSITION; }
SET_ENABLE	{ return SET_ENABLE; }
SET_OFFSET	{ return SET_OFFSET; }
SET_MIN		{ return SET_MIN; }
SET_MAX		{ return SET_MAX; }
GET_POSITION	{ return GET_POSITION; }
GET_ENABLE	{ return GET_ENABLE; }
GET_OFFSET	{ return GET_OFFSET; }
GET_MIN		{ return GET_MIN; }
GET_MAX		{ return GET_MAX; }
WRITE_CONFIG_FILE	{ return WRITE_CONFIG_FILE; }
SLEEP		{ return SLEEP; }
","		{ return COMMA; }
"("		{ return LPAR; }
")"		{ return RPAR; }
"\""		{ return DOUBLE_QUOTES; }
[ \t]	;		/* ignore white space */
\n		{ return EOL; }	/* logical EOL */
\r\n	{ return EOL; }	/* logical EOL */
[0-9A-Za-z/\.\-_]+ { strcpy(commandlval.token_string, commandtext); return FILE_PATH; }
.	{ return commandtext[0]; }
%%